Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class BoundedRangeStatisticImpl

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.StatisticImpl
          com.sun.appserv.management.j2ee.statistics.RangeStatisticImpl
              com.sun.appserv.management.j2ee.statistics.BoundedRangeStatisticImpl

All Implemented Interfaces:
  BoundaryStatistic, BoundedRangeStatistic, RangeStatistic, java.io.Serializable, Statistic

public class BoundedRangeStatisticImpl
extends RangeStatisticImpl
implements BoundedRangeStatistic, java.io.Serializable

Serializable implementation of a BoundedRangeStatistic

See Also:
  Serialized Form

Constructor Summary
`BoundedRangeStatisticImpl(BoundedRangeStatistic s)`
`BoundedRangeStatisticImpl(CompositeData compositeData)`
`BoundedRangeStatisticImpl(java.util.Map m)`
`BoundedRangeStatisticImpl(MapStatistic s)`
`BoundedRangeStatisticImpl(java.lang.String name, java.lang.String description, java.lang.String unit, long startTime, long lastSampleTime, long low, long current, long high, long lowerBound, long upperBound)`

Method Summary
`long` | `getLowerBound()` The lower limit of the value of this attribute.The upper limit of the value of this attribute.
`long` | `getUpperBound()` The upper limit of the value of this attribute.

Methods inherited from class com.sun.appserv.management.j2ee.statistics.RangeStatisticImpl
`getCurrent, getHighWaterMark, getLowWaterMark`

Methods inherited from class com.sun.appserv.management.j2ee.statistics.StatisticImpl
`equals, getDescription, getLastSampleTime, getName, getStartTime, getUnit, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Methods inherited from interface javax.management.j2ee.statistics.RangeStatistic
`getCurrent, getHighWaterMark, getLowWaterMark`

Constructor Detail

### BoundedRangeStatisticImpl

    public BoundedRangeStatisticImpl(java.lang.String name,
                                     java.lang.String description,
                                     java.lang.String unit,
                                     long startTime,
                                     long lastSampleTime,
                                     long low,
                                     long current,
                                     long high,
                                     long lowerBound,
                                     long upperBound)

### BoundedRangeStatisticImpl

    public BoundedRangeStatisticImpl(CompositeData compositeData)

### BoundedRangeStatisticImpl

    public BoundedRangeStatisticImpl(java.util.Map m)

### BoundedRangeStatisticImpl

    public BoundedRangeStatisticImpl(MapStatistic s)

### BoundedRangeStatisticImpl

    public BoundedRangeStatisticImpl(BoundedRangeStatistic s)

Method Detail

### getLowerBound

    public long getLowerBound()

  Description copied from interface: `BoundaryStatistic`
  The lower limit of the value of this attribute.The upper limit of the value of this attribute.

  Specified by:
    `getLowerBound` in interface `BoundaryStatistic`

### getUpperBound

    public long getUpperBound()

  Description copied from interface: `BoundaryStatistic`
  The upper limit of the value of this attribute.

  Specified by:
    `getUpperBound` in interface `BoundaryStatistic`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.